using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace PropellentNet_POC
{
    public partial class propellentEditor : UserControl
    {

        #region Privates
        private string m_File;
        #endregion Privates

        #region Publics
        public delegate void exTextChanged(object sender, EventArgs e);
        public event exTextChanged TextChanged;
        public delegate void exClose(object sender, EventArgs e);
        public event exClose Close;
        public delegate void exFullSource(object sender, EventArgs e);
        public event exFullSource FullSource;
        public delegate void exDocumentation(object sender, EventArgs e);
        public event exDocumentation Documentation;
        #endregion Publics

        #region De/Constructure
        public propellentEditor()
        {
            InitializeComponent();
        }
        #endregion De/Constructure

        #region Events
        private void propellentEditor_Load(object sender, EventArgs e)
        {

        }
        private void rtbCode_TextChanged(object sender, EventArgs e)
        {
            if (TextChanged != null)
                TextChanged(sender, e);
        }
        private void cmdClose_Click(object sender, EventArgs e)
        {
            if (Close != null)
                Close(sender, e);
        }
        private void rdbFullSource_CheckedChanged(object sender, EventArgs e)
        {
            if (rdbFullSource.Checked)
                FullSource(sender, e);
            else
                Documentation(sender, e);
        }
        #endregion Events

        #region Public Functions
        public string GetText()
        {
            return this.rtbCode.Text;
        }
        public void SetText(string text)
        {
            this.rtbCode.Text = text;
        }
        #endregion Public Functions

    }
}
